#include <bits/stdc++.h>
#define endl '\n'
#define fi first
#define se second
#define pb push_back
#define yes "YES"
#define no "NO "

using namespace std;

using ll = long long;
const ll inf=1e18;
using ld = long double;


void solve()
{
    ll n,l,i,x;
    cin >> n >> l;
    for(i=0;i<n;i++)
    {
        cin >> x;
        if(l>=x)
        {
            cout << i+1;
            return;
        }
    }
    cout << "-1";



}





int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    ll t=1;
   // cin >> t;
    while(t--)
    {
        solve();
    }
}